Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.services
Class DevelopmentServices

`java.lang.Object
oracle.toplink.services.DevelopmentServices`

Direct Known Subclasses:
  MBeanDevelopmentServices

Deprecated. Will be replaced by a server-specific equivalent for oracle.toplink.services.oc4j.Oc4jRuntimeServices

public class DevelopmentServices
extends java.lang.Object

Purpose: Provide a dynamic interface into the TopLink Identity Map Manager.

Description: This class is ment to provide a framework for gaining access to configuration and statistics of the TopLink Cache during runtime. It will provide the basis for developement of a JMX service and possibly other frameworks.

See Also:
  `Oc4jRuntimeServices`

Constructor Summary
`DevelopmentServices()` Deprecated. PUBLIC: Default constructor
`DevelopmentServices(Session session)` Deprecated. PUBLIC: Constructor

Method Summary
`boolean` | `getChangeSetPropagationShouldBeAsynchronous()` Deprecated. PUBLIC: This method indicates if Propigation of Cache Synch messages should be Asynchronous or not
`boolean` | `getShouldBindAllParameters()` Deprecated. PUBLIC: Method returns if all Parameters should be bound or not
`boolean` | `getShouldRemoveConnectionOnError()` Deprecated. PUBLIC: This method indicates if remote connections should be dropped when there is an error.
`int` | `getStringBindingSize()` Deprecated. PUBLIC: Return the size of strings after which will be bound into the statement
`boolean` | `getUsesBatchWriting()` Deprecated. PUBLIC: This method will return if batchWriting is in use or not.
`boolean` | `getUsesByteArrayBinding()` Deprecated. PUBLIC: Shows if Byte Array Binding is turned on or not
`boolean` | `getUsesJDBCBatchWriting()` Deprecated. PUBLIC: This method will return if batchWriting is in use or not.
`boolean` | `getUsesNativeSQL()` Deprecated. PUBLIC: Shows if native SQL is being used
`boolean` | `getUsesStreamsForBinding()` Deprecated. PUBLIC: This method indicates if streams are being used for binding
`boolean` | `getUsesStringBinding()` Deprecated. PUBLIC: This method indicates if Strings are being bound
`void` | `initializeAllIdentityMaps()` Deprecated. PUBLIC: This method is used to clear the contents of all identity maps.
`void` | `initializeCacheSynchronizationServices()` Deprecated. PUBLIC: This method will be used by clients to restart their synchronization service for a particular session.
`void` | `initializeIdentityMap(java.lang.String className)` Deprecated. PUBLIC: This method is used to clear the contents of a particular identity map.
`void` | `refreshProject(java.lang.String projectFilePath)` Deprecated. PUBLIC: This method used to reset a project in a session.
`void` | `setChangeSetPropagationShouldBeAsynchronous(boolean isAsynchronous)` Deprecated. PUBLIC: This method is used to modify the cache synchronization feature.
`void` | `setIdentityMapForClass(java.lang.String className, java.lang.String identityMapClassType, int maxSize)` Deprecated. PUBLIC: This method will be used to set a new type of identity map for a particular class type.
`void` | `setShouldBindAllParameters(boolean shouldBindAllParameters)` Deprecated. PUBLIC: This method is used to control if All parameters should be bound
`void` | `setShouldRemoveConnectionOnError(boolean shouldRemoveConnection)` Deprecated. PUBLIC: This method is used to modify the cache synchronization feature.
`void` | `setStringBindingSize(int size)` Deprecated. PUBLIC: Sets the size of strings after which they will be bound into the statement
`void` | `setUsesBatchWriting(boolean usesBatchWriting)` Deprecated. PUBLIC: This method is used to turn on TopLink Batch Writing.
`void` | `setUsesByteArrayBinding(boolean usesByteArrayBinding)` Deprecated. PUBLIC: This method allows control of weither byte arrays should be bound into the statement or not.
`void` | `setUsesJDBCBatchWriting(boolean usesJDBCBatchWriting)` Deprecated. PUBLIC: This method is used to turn on JDBC Batch Writing.
`void` | `setUsesNativeSQL(boolean usesNativeSQL)` Deprecated. PUBLIC: This method allows the client to set if Native SQL should be used.
`void` | `setUsesStreamsForBinding(boolean usesStreamsForBinding)` Deprecated. PUBLIC: This method is used to set if streams should be used for binding.
`void` | `setUsesStringBinding(boolean usesStringBinding)` Deprecated. PUBLIC: Allows the client to set if String should be bound into the statement or not.
`void` | `updateCacheSize(java.lang.String className, int newSize)` Deprecated. PUBLIC: This method is used to update the cache size of a particular Identity Map
`void` | `updateSynchronizationDiscoveryMulticastGroup(java.lang.String multicastIP, int multicastPort)` Deprecated. PUBLIC: This method will be used to update the multicast group of the Synchronization Service.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DevelopmentServices

    public DevelopmentServices()

  Deprecated.
  PUBLIC: Default constructor

### DevelopmentServices

    public DevelopmentServices(Session session)

  Deprecated.
  PUBLIC: Constructor
Parameters:
  `session` - the session for these services

Method Detail

### initializeIdentityMap

    public void initializeIdentityMap(java.lang.String className)
                               throws java.lang.ClassNotFoundException

  Deprecated.
  PUBLIC: This method is used to clear the contents of a particular identity map. Users should be aware that if any of these objects are in use when this action is completed they will lose object identity.
  Parameters:
    `className` - the fully qualified name of the class for which the identity map should be cleared.
  Throws:
    `java.lang.ClassNotFoundException` - thrown then the IdenityMap for that class name could not be found

### initializeAllIdentityMaps

    public void initializeAllIdentityMaps()

  Deprecated.
  PUBLIC: This method is used to clear the contents of all identity maps. Users should be aware that if any of these objects are in use when this action is completed they will lose object identity.

### setIdentityMapForClass

    public void setIdentityMapForClass(java.lang.String className,
                                       java.lang.String identityMapClassType,
                                       int maxSize)
                                throws java.lang.ClassNotFoundException

  Deprecated.
  PUBLIC: This method will be used to set a new type of identity map for a particular class type. If objects of that class type are in use loss of object identity will result. For prevention client may wish to initialize all identity maps first.
  Parameters:
    `className` - the fully qualified className to set the identity map for.
    `identityMapClassType` - the fully qualified class name of the new identity map type.
    `maxSize` - the maximum size to be specified for the new idenity map.
  Throws:
    `java.lang.ClassNotFoundException` - thrown then the IdenityMap for that class name could not be found

### refreshProject

    public void refreshProject(java.lang.String projectFilePath)

  Deprecated.
  PUBLIC: This method used to reset a project in a session. All connected clients will get errors. project must be of the xml type. This attribute will not be stored on a save.
  Parameters:
    `projectFilePath` - the filename of the project xml file to build the new project from.

### updateCacheSize

    public void updateCacheSize(java.lang.String className,
                                int newSize)
                         throws java.lang.ClassNotFoundException

  Deprecated.
  PUBLIC: This method is used to update the cache size of a particular Identity Map
  Parameters:
    `className` - the name of the class for which to update the identity map size.
  Throws:
    `java.lang.ClassNotFoundException`

### setChangeSetPropagationShouldBeAsynchronous

    public void setChangeSetPropagationShouldBeAsynchronous(boolean isAsynchronous)

  Deprecated.
  PUBLIC: This method is used to modify the cache synchronization feature. It allows the user to update the method of sending changes. Asynchronous means that the method may return to the client before that changes have been sent to all servers.
  Parameters:
    `isAsynchronous` - should be set to true for Asynchronous updates and false otherwise.

### getChangeSetPropagationShouldBeAsynchronous

    public boolean getChangeSetPropagationShouldBeAsynchronous()

  Deprecated.
  PUBLIC: This method indicates if Propigation of Cache Synch messages should be Asynchronous or not

### setShouldRemoveConnectionOnError

    public void setShouldRemoveConnectionOnError(boolean shouldRemoveConnection)

  Deprecated.
  PUBLIC: This method is used to modify the cache synchronization feature. It allows the user to update whether remote connections should be dropped on error.
  Parameters:
    `shouldRemoveConnection` - should be set to true if the connection should be removed on an error. Should be set to false if the connection should be maintained

### getShouldRemoveConnectionOnError

    public boolean getShouldRemoveConnectionOnError()

  Deprecated.
  PUBLIC: This method indicates if remote connections should be dropped when there is an error.
  Returns:
    boolean true if connections should be dropped on an error. Returns false otherwise.

### updateSynchronizationDiscoveryMulticastGroup

    public void updateSynchronizationDiscoveryMulticastGroup(java.lang.String multicastIP,
                                                             int multicastPort)

  Deprecated.
  PUBLIC: This method will be used to update the multicast group of the Synchronization Service. This will control what servers will be connected to each other.
  Parameters:
    `multicastIP` - the IP address of the Multicast server
    `multicastPort` - the port to connect to on the Multicast server

### initializeCacheSynchronizationServices

    public void initializeCacheSynchronizationServices()
                                                throws SynchronizationException

  Deprecated.
  PUBLIC: This method will be used by clients to restart their synchronization service for a particular session. This will cause the session to drop all remote connections used for synchronization
  Throws:
    `SynchronizationException`

### setShouldBindAllParameters

    public void setShouldBindAllParameters(boolean shouldBindAllParameters)

  Deprecated.
  PUBLIC: This method is used to control if All parameters should be bound

### getShouldBindAllParameters

    public boolean getShouldBindAllParameters()

  Deprecated.
  PUBLIC: Method returns if all Parameters should be bound or not

### setStringBindingSize

    public void setStringBindingSize(int size)

  Deprecated.
  PUBLIC: Sets the size of strings after which they will be bound into the statement

### getStringBindingSize

    public int getStringBindingSize()

  Deprecated.
  PUBLIC: Return the size of strings after which will be bound into the statement

### setUsesBatchWriting

    public void setUsesBatchWriting(boolean usesBatchWriting)

  Deprecated.
  PUBLIC: This method is used to turn on TopLink Batch Writing. Please note that toggling this setting while a transaction is open may result in mis-ordered sql statements or loss of statements. Also please note that TopLink Batch Writing may not work with all JDBC Drivers

### getUsesBatchWriting

    public boolean getUsesBatchWriting()

  Deprecated.
  PUBLIC: This method will return if batchWriting is in use or not.

### setUsesJDBCBatchWriting

    public void setUsesJDBCBatchWriting(boolean usesJDBCBatchWriting)

  Deprecated.
  PUBLIC: This method is used to turn on JDBC Batch Writing. Please note that toggling this setting while a transaction is open may result in mis-ordered sql statements or loss of statements.

### getUsesJDBCBatchWriting

    public boolean getUsesJDBCBatchWriting()

  Deprecated.
  PUBLIC: This method will return if batchWriting is in use or not.

### setUsesByteArrayBinding

    public void setUsesByteArrayBinding(boolean usesByteArrayBinding)

  Deprecated.
  PUBLIC: This method allows control of weither byte arrays should be bound into the statement or not. Toggling this attribute while an SQL statement is being built, or if you are caching statements, will result in errors.

### getUsesByteArrayBinding

    public boolean getUsesByteArrayBinding()

  Deprecated.
  PUBLIC: Shows if Byte Array Binding is turned on or not

### setUsesNativeSQL

    public void setUsesNativeSQL(boolean usesNativeSQL)

  Deprecated.
  PUBLIC: This method allows the client to set if Native SQL should be used.

### getUsesNativeSQL

    public boolean getUsesNativeSQL()

  Deprecated.
  PUBLIC: Shows if native SQL is being used

### setUsesStreamsForBinding

    public void setUsesStreamsForBinding(boolean usesStreamsForBinding)

  Deprecated.
  PUBLIC: This method is used to set if streams should be used for binding. Please note that toggeling this attribute while a statement is being built will result in errors.

### getUsesStreamsForBinding

    public boolean getUsesStreamsForBinding()

  Deprecated.
  PUBLIC: This method indicates if streams are being used for binding

### setUsesStringBinding

    public void setUsesStringBinding(boolean usesStringBinding)

  Deprecated.
  PUBLIC: Allows the client to set if String should be bound into the statement or not. Please note that toggling this attribute while a statement is being built, or if statement caching is being used, will result in errors.

### getUsesStringBinding

    public boolean getUsesStringBinding()

  Deprecated.
  PUBLIC: This method indicates if Strings are being bound

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD